Get Batch Status
GET
/api/v1/batch/{batch_id}/status
const url = 'https://api.totalview.energy/api/v1/batch/example/status';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.totalview.energy/api/v1/batch/example/status \ --header 'Authorization: Bearer <token>'Get the status of a batch execution.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” batch_id
required
Batch Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
BatchStatusResponse
Status of a batch execution.
object
batch_id
required
Batch Id
string
customer_id
required
Customer Id
string format: uuid
project_count
required
Project Count
integer
completed_count
required
Completed Count
integer
failed_count
required
Failed Count
integer
queued_count
required
Queued Count
integer
status
required
Status
string
created_at
required
Created At
string format: date-time
Example
{ "status": "queued"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}